package com.unipi.talepis.iatriki2022_5;

import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface CovidCaseRepository extends CrudRepository<CovidCase,Integer> {
    List<CovidCase> findCovidCaseByPatientName(@Param("patientName") String name);
    CovidCase findCovidCaseById(Integer id);
}
